{
    allowedItemIdentifiers = (
        DrawingMode, BringToFront, SendToBack, Lock, Unlock, Group, Ungroup, ShowInfo, ShowSelection, ShowPalette, 
        LayoutGraph, LayoutSelection, SnapToGrid, NSToolbarShowFontsItem, NSToolbarShowColorsItem, NSToolbarPrintItem, OSAScriptTemplate,
        NSToolbarSeparatorItem, NSToolbarSpaceItem, NSToolbarFlexibleSpaceItem, NSToolbarCustomizeToolbarItem
    ); 
    defaultItemIdentifiers = (
        DrawingMode, ShowInfo, ShowSelection, ShowPalette, NSToolbarSeparatorItem,
        BringToFront, SendToBack, Lock, Unlock
    ); 
    itemInfoByIdentifier = {
        BringToFront = {
            action = "bringToFront:"; 
            imageName = BringToFront; 
            label = "Amener devant"; 
            paletteLabel = "Amener devant"; 
            toolTip = "Amener devant";
            target = firstResponder;
        }; 
        SendToBack = {
            action = "sendToBack:"; 
            imageName = SendToBack; 
            label = "Envoyer derrière"; 
            paletteLabel = "Envoyer derrière"; 
            toolTip = "Envoyer derrière"; 
            target = firstResponder;
        }; 
        Lock = {
            action = "lock:"; 
            imageName = Locked; 
            label = "Verrouiller"; 
            paletteLabel = "Verrouiller"; 
            toolTip = "Verrouiller"; 
            target = firstResponder;
        }; 
        Unlock = {
            action = "unlock:"; 
            imageName = Unlocked; 
            label = "Déverouiller"; 
            paletteLabel = "Déverouiller"; 
            toolTip = "Déverouiller"; 
            target = firstResponder;
        }; 
        Group = {
            action = "group:"; 
            imageName = Group; 
            label = "Grouper"; 
            paletteLabel = "Grouper"; 
            toolTip = "Grouper"; 
            target = firstResponder;
        }; 
        Ungroup = {
            action = "ungroup:"; 
            imageName = Ungroup; 
            label = "Dégrouper"; 
            paletteLabel = "Dégrouper"; 
            toolTip = "Dégrouper"; 
            target = firstResponder;
        }; 
	SnapToGrid = {
            action = "toggleSnapsToGrid:"; 
            imageName = SnapToGrid; 
            label = "Magnétiser"; 
            paletteLabel = "Grille magnétique"; 
            toolTip = "Grille magnétique"; 
            target = firstResponder;
        }; 
        ShowInfo = {
            action = "showInspectorPanelAction:"; 
            imageName = inspectorButton; 
            label = "Infos"; 
            paletteLabel = "Infos"; 
            toolTip = "Afficher les infos"; 
            target = firstResponder;
        }; 
        ShowSelection = {
            action = "showSelectionPanelAction:"; 
            imageName = selectionButton; 
            label = "Sélection"; 
            paletteLabel = "Fenêtre de sélection"; 
            toolTip = "Fenêtre de sélection"; 
            target = firstResponder;
        }; 
       LayoutGraph = {
            action = "autoLayout:"; 
            imageName = AutoLayout; 
            label = "Mise en page"; 
            paletteLabel = "Mise en page du graphique"; 
            toolTip = "Mise en page automatique de graphique"; 
            target = firstResponder;
        }; 
        LayoutSelection = {
            action = "autoLayoutSelection:"; 
            imageName = AutoLayoutSelection; 
            label = "Mise en Page"; 
            paletteLabel = "Mise en page de la sélection"; 
            toolTip = "Mise en page automatique de la sélection"; 
            target = firstResponder;
        }; 
        
        ShowPalette = {
            action = "showPaletteWindowAction:"; 
            imageName = palettesButton;
            label = "Palettes";
            paletteLabel = "Afficher la fenêtre palette"; 
            toolTip = "Afficher la fenêtre palette"; 
            target = firstResponder;
        }; 
        
        DrawingMode = {
            paletteLabel = "Outils de dessin";
            label = "Outils de dessin";
        };

        OSAScriptTemplate = {
            label = "%@";
            paletteLabel = "Script: %@";
            toolTip = "Exécuter AppleScript \"%@\"";
        };
   }; 
}